Bug 215188 - color chooser is malfunctioning
color chooser is malfunctioning
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-12 01:23 EST by Tamal Kanti Nath
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 03:24:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tamal Kanti Nath 2006-11-12 01:23:43 EST
Description of problem:
The 4th type of color choosing method is not working properly.

Version-Release number of selected component (if applicable):
GIMP 2.2.13

Steps to Reproduce:
1. Open GIMP
2. open color choosing window by double click color choosing button
3. click the watercolor (4th) tab (with brush icon)
4. select a color from the square window.

Actual results:
Clicking the color wouldn't select the color I want. Upon multiple click, the
color gradually changes to black. Dragging from one point of the square to other
point makes the color blackish. Dragging from one point of the square to right
side of the window makes the color brighter.

Expected results:
Proper color should be selected.

Additional info:
This is not related to the problem; but I want the color I have be added to the
history my mistake to be removed. So, there should be a color history removal tool.
Comment 1 Nils Philippsen 2006-11-13 03:24:21 EST
The watercolor picker more or less works as designed. Contrary to real
watercolors, you must start with a bright color (adjust the slides to the right
or pick a color with another color picker), from then on it will only get
darker. Please refer to the GIMP documentation (currently at
http://docs.gimp.org/en/gimp-dialogs-content.html#id3525051 ).
Comment 2 Tamal Kanti Nath 2006-11-13 12:25:53 EST
(In reply to comment #1)
The documentation do not inform what would be the result of dragging. I have
noticed that dragging from one point of the square to right side of the window
makes the color brighter (reddish as red is on the right side).
So, it is not a bug. But the effect of dragging is not documented.

Note You need to log in before you can comment on or make changes to this bug.